# Pętla to taki element języka programowania, który pozwala instrukcje napisane raz wykonać wiele razy

for i in range(10):
    print(f'Wypisuję linię nr {i}')
print()

# Zasadniczno pętla for służy do przeglądania elementów kolekcji
#   (formalnie rzecz biorąc: iterowania po obektach iterowalnych)
miasta = ['Warszawa', 'Kraków', 'Wrocław', 'Poznań', 'Gdańsk', 'Katowice']

for miasto in miasta:
    print(f'Firma ALX prowadzi(ła) kursy w mieście {miasto}')
    print(f'  Jeśli mieszkasz w {miasto}, zapraszamy na kurs')
print()

# Pętla while wykonuje podane instrukcje, gdy warunek logiczny jest prawdziwy,
# a przestaje wykonywać, gdy warunek jest fałśzywy.
# Działa jak nieskończony ciąg ifów...
# W praktyce, aby pętla while się zakończyła, w warunki musi sprawdzać zmienne, które się zmieniają
a = 1
while a < 10:
    print(f'warunek prawdziwy, a = {a}')
    a += 1

print(f'pętla while się zakończyła, a = {a}')
